Name:           libsigrokdecode
Version:        r2025.0235970
Epoch:          100
Release:        nightly%{?dist}
Summary:        Basic API for running protocol decoders
# Combined GPLv3+ and GPLv2+
License:        GPLv3+
URL:            http://www.sigrok.org

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  gcc
BuildRequires:  graphviz
BuildRequires:  glib2-devel
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  python3-devel

%description
%{name} is a library which provides (streaming) protocol decoding
functionality for sigrok.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{epoch}:%{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        API documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation for developing software
using %{name}.


%prep
%autosetup


%build
./autogen.sh
%configure --disable-static
%make_build

# This builds documentation for the -doc package
doxygen Doxyfile


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%ldconfig_scriptlets


%files
%license COPYING
%doc NEWS README
%{_libdir}/libirmp.so*
%{_libdir}/libsigrokdecode.so.4*
%{_datadir}/libsigrokdecode/

%files devel
%{_includedir}/libsigrokdecode/
%{_libdir}/libsigrokdecode.so
%{_libdir}/pkgconfig/libsigrokdecode.pc

%files doc
%doc doxy/html-api/


%changelog
* Thu Jan 13 2022 Aimylios <aimylios@xxx.xx>
- Alignment with upstream SPEC 0.5.3-11

* Tue Feb 16 2021 Aimylios <aimylios@xxx.xx>
- Remove obsolete Group tag
- Correctly package license and documentation
- Add new dependencies
- Remove obsolete ldconfig scriptlets

* Sat Aug 1 2020 Aimylios <aimylios@xxx.xx>
- Include IRMP library

* Sun Aug 5 2018 Aimylios <aimylios@xxx.xx>
- Initial release based on 0.5.0-6.fc29
